<template>
  <template v-if="loading">
    <HourglassIcon />
  </template>
  <template v-else>
    <RestaurantPage :restaurant_id="this.restaurant_id"/>
  </template>
</template>

<script>
import RestaurantPage from "../components/RestaurantPage"
import HourglassIcon from "../components/HourglassIcon";

export default {
  name: "Restaurant",
  components: {
    RestaurantPage,
    HourglassIcon
  },
  mounted() {
    // Retrieve the restaurant id from the route id parameter
    if ((this.restaurant_id  = this.$route.params.id) !== null) {
      this.loading = false;
    }
  },
  data() {
    return {
      restaurant_id: null,
      loading: true
    }
  }
}
</script>